YSTest: YSLib::Components::InputEventArgs Struct Reference

YSTest PreAlpha_b380_20130211 The YSLib Test Project

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
YSLib::Components::InputEventArgs Struct Reference

输入事件参数类。 More...

`#include <ywgtevt.h>`

Inheritance diagram for YSLib::Components::InputEventArgs:
[legend]
Collaboration diagram for YSLib::Components::InputEventArgs:
[legend]

## Public Member Functions

| InputEventArgs (IWidget &, const KeyInput &={}, RoutingStrategy=Direct)
| 构造：使用本机键按下对象和路由事件类型。
| operator const KeyInput & () const ynothrow
| 转换为按键代码类型。
const KeyInput & | GetKeys () const ynothrow
| 取按键代码。
Public Member Functions inherited from YSLib::Components::RoutedEventArgs
| RoutedEventArgs (IWidget &wgt, RoutingStrategy strategy=Direct)
Public Member Functions inherited from YSLib::Components::UIEventArgs
| UIEventArgs (IWidget &wgt)
| UIEventArgs (const UIEventArgs &)=default
| 复制构造：默认实现。
UIEventArgs & | operator= (const UIEventArgs &)=default
| 复制赋值：默认实现。
IWidget & | GetSender () const ynothrow
void | SetSender (IWidget &wgt)

## Public Attributes

KeyInput | Keys
| 包含的按键代码。
Public Attributes inherited from YSLib::Components::RoutedEventArgs
RoutingStrategy | Strategy
| 事件路由策略。
bool | Handled
| 事件已经被处理。

## Additional Inherited Members

Public Types inherited from YSLib::Components::RoutedEventArgs
enum | RoutingStrategy { Bubble = 0, Tunnel = 1, Direct = 2 }
| 事件路由策略枚举。 More...

## Detailed Description

输入事件参数类。

Warning
  非虚析构。

Since
  早于 build 132

Definition at line 121 of file ywgtevt.h.

## Constructor & Destructor Documentation

YSL_BEGIN InputEventArgs::InputEventArgs | ( | IWidget & | wgt,
|  | const KeyInput & | k = `{}`,
|  | RoutingStrategy | s = `Direct`
| ) |  |

构造：使用本机键按下对象和路由事件类型。

Since
  build 298

Definition at line 35 of file ywgtevt.cpp.

## Member Function Documentation

const KeyInput& YSLib::Components::InputEventArgs::GetKeys | ( |  | ) | const

inline

取按键代码。

Since
  build 298

Definition at line 146 of file ywgtevt.h.

YSLib::Components::InputEventArgs::operator const KeyInput & | ( |  | ) | const

inline

转换为按键代码类型。

Since
  build 298

Definition at line 140 of file ywgtevt.h.

## Member Data Documentation

KeyInput YSLib::Components::InputEventArgs::Keys

包含的按键代码。

Since
  build 298

Definition at line 128 of file ywgtevt.h.

The documentation for this struct was generated from the following files:

- ywgtevt.h
- ywgtevt.cpp